<div class="query-manager ">
    <div class="query-manager-form">
        <div class="public-horizon">
            <label class="horizon-label label-4">生产区域：</label>
            <div class="horizon-group horizon-col-3">
                <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                    <ui-select-match placeholder="--- 请选择 ---">
                        <!--config.currentWorkCenter.workCenter ||-->
                        <span ng-bind="config.currentWorkCenter.description"></span>
                    </ui-select-match>
                    <!-- <ui-select-header>请选择</ui-select-header> -->
                    <ui-select-no-choice>
                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                    </ui-select-no-choice>
                    <ui-select-choices repeat="item in (config.workCenters) track by $index">
                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                    </ui-select-choices>
                </ui-select>
            </div>
            <label class="horizon-label label-2">拉线：</label>
            <!--<div class="horizon-group horizon-col-3">-->
                <!--<ui-select multiple ng-init="config.$lineSelect = $select" class="andon-content-ui-select" ng-placeholder="请输入" ng-change="lineChanged($select);" ng-model="config.currentLine">-->
                    <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                        <!--&lt;!&ndash;config.currentLine.workCenter ||&ndash;&gt;-->
                        <!--<span ng-bind="$item.description"></span>-->
                    <!--</ui-select-match>-->
                    <!--<ui-select-no-choice>-->
                        <!--<a href ng-click="$select.toggle($event);">-->
                            <!--<span ng-click="tipSelectClick('line');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>-->
                            <!--<span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>-->
                        <!--</a>-->
                    <!--</ui-select-no-choice>-->
                    <!--<ui-select-choices repeat="item in (config.lines | filter: $select.search) track by $index">-->
                        <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                    <!--</ui-select-choices>-->
                <!--</ui-select>-->
            <!--</div>-->
            <div class="horizon-group horizon-col-3">
                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                           ng-keyup="upModel('workLine')" ng-disabled="true"
                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                           class="form-control ad-left-child" ng-model="config.currentLineDesc"
                           ng-change="lineChanged()">
                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                       ng-if="config.showSelectLine"></i>
                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                       ng-if="!config.showSelectLine"></i>
                </div>
            </div>
            <label class="horizon-label label-4"><span class="text-red">*</span>设备类型：</label>
            <div class="horizon-group horizon-col-3">

                <ui-select ng-click="config.$deviceTypeSelect = $select" class="andon-content-ui-select" ng-placeholder="请输入" ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                    <ui-select-match placeholder="--- 请选择 ---">
                        <!--config.currentDeviceType.resourceType ||-->
                        <span ng-bind="config.currentDeviceType.description"></span>
                    </ui-select-match>
                    <ui-select-no-choice>
                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                    </ui-select-no-choice>
                    <ui-select-choices repeat="item in (config.deviceTypes) track by $index">
                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                    </ui-select-choices>
                </ui-select>
            </div>
            <label class="horizon-label label-4">设备编码：</label>
            <div class="horizon-group horizon-col-3">
                <ui-select ng-init="config.$deviceNumSelect = $select"
                           class="andon-ui-mutiply-select"
                           ng-placeholder="请输入"
                           ng-change="deviceNumChanged($select);"
                           ng-model="config.currentDeviceNum">
                    <ui-select-match placeholder="--- 请选择 ---">
                        <span ng-bind="config.currentDeviceNum.resrce || config.currentDeviceNum.description"></span>
                    </ui-select-match>
                    <ui-select-no-choice>
                        <a href ng-click="$select.toggle($event);">
                            <span ng-click="tipSelectClick('deviceNum');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>
                            <span ng-if="!!config.currentWorkCenter.workCenter " class="no-data-color">暂无设备号</span>
                        </a>
                    </ui-select-no-choice>
                    <ui-select-choices repeat="item in (config.deviceNums) track by $index">
                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                    </ui-select-choices>
                </ui-select>
            </div>
        </div>
        <div class="public-horizon">
            <label class="horizon-label label-4">物料编码：</label>
            <div class="horizon-group horizon-col-3">
                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInputCode)}">
                    <input ng-init="focusInputCode=false" ng-focus="focusInputCode=true" ng-blur="focusInputCode=false" ng-change="materialCodeChanged();" type="text" value="" placeholder="搜索" class="form-control ad-left-child ad-uppercase" ng-model="config.currentMaterialCode.item">
                    <i class="fa fa-search ad-right-child focus" ng-click="modalQueryMaterialsCode();"></i>
                </div>
            </div>
            <label class="horizon-label label-2"><span class="text-red">*</span>日期：</label>
            <div class="horizon-group horizon-col-3">
                <input type="text" value="" id="queryDate"
                       class="form-control"
                       ng-model="config.queryManDate"
                       ng-init="initDateTimePicker('#queryDate', {},'Y-m-d',false,false);"/>

                <!--<input type="date" ng-model="config.queryManDate" placeholder="搜索" class="form-control">-->
            </div>
            <div class="horizon-btns">
                <button class="btn btn-primary" ng-disabled="config.btnDisabledQuery" ng-click="queryDatas();">查询</button>
            </div>
            <div class="horizon-btns">
                <button ng-if="ppmConfig.canEdit" ng-disabled="config.btnDisabledAdd"
                        class="btn btn-primary"
                        ng-click="modalQueryManager();"
                        >新增</button><!-- modalOutputTarget() -->
            </div>
            <!-- <div class="horizon-btns horizon-save-btns">
                <button ng-if="ppmConfig.canEdit" class="btn btn-primary"
                        ng-disabled="config.btnDisabledSave"
                        ng-click="saveAllAcitons();"
                        >保存</button>
            </div> -->

        </div>
        <div class="public-stop-line"></div>
        <div class="public-horizon-special" ng-if="ppmConfig.canEdit">
            <div class="horizon-input-group">
                <label class="horizon-label label-4"><span class="text-red">*</span>理论PPM：</label>
                <div class="horizon-group horizon-col-3">
                    <input type="number" ng-model="config.ppmTheory" min="1" class="form-control" />
                </div>
                <div class="horizon-btns horizon-checkbox">
                    <div class="checkbox checkbox-primary checkbox-inline">
                        <input type="checkbox" id="checkAllQuery" ng-model="config.checkAllStatus" ng-change="checkAllChange();">
                        <label for="checkAllQuery">全选</label>
                    </div>
                </div>
                <div class="horizon-btns">
                    <button class="btn btn-primary"  ng-disabled="config.btnDisabledEdit" ng-click="editHandle();">一键编辑</button>
                </div>
            </div>
            <div>
                <button class="btn btn-primary" ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons();">保存</button>
            </div>

        </div>

    </div>
    <div class="andon-grid">
        <div ui-grid="gridPPMQueryManager" class="myLittleGrid" ui-grid-edit ui-grid-cellnav ui-grid-selection ui-grid-pagination ui-grid-resize-columns ui-grid-validate ui-grid-auto-resize></div>
    </div>


</div>
<script type="text/ng-template" id="ModalQueryManager.html">
    <div class="modal-body query-manager-modal">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title">选择设备</div>
                    <div class="">
                        <div class="chat-users" style="overflow: overlay !important;">
                            <div ui-grid="gridModalQueryManager" ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns></div>
                        </div>
                    </div>
                </div>
            </div>      
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title">维护理论PPM</div> 
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-form">
                                    <div class="form-group">
                                        <label class="">物料编码:   <span ng-bind="config.materialCode.item"></span></label>
                                        <!-- <select class="form-control" name=""><option>--请选择--</option></select> -->
                                        <!-- <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInputCode)}">
                                            
                                        </div> -->
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>理论PPM:</label>
                                        <input type="number" ng-model="config.targetOutput"
                                               ng-change="isEmpty()"
                                                class="form-control">
                                        <!-- <select  class="form-control" name=""><option>--请选择--</option></select> -->
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>开始日期:</label>
                                        <input type="text" value="" id="queryManagerDate"
                                               class="form-control"
                                               ng-change="isEmpty()"
                                               ng-model="config.queryManagerDate"
                                               ng-init="initDateTimePicker('#queryManagerDate', {},'Y-m-d',false,false);"/>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <!--<button class="btn btn-primary"-->
                <!--type="button"-->
                <!--ng-click="okQueryManager()"-->
                <!--ng-disabled="config.btnOkQueryManagerDisabled" >确认</button>-->
        <!--<button class="btn btn-warning" type="button" ng-click="cancelQueryManager()">取消</button>-->
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-primary" type="button" ng-click="okQueryManager()" ng-disabled="config.btnOkQueryManagerDisabled">确定</button>
        </div>
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-warning" type="button" ng-click="cancelQueryManager()">取消</button>
        </div>
    </div>
</script>